env:
#  - RUNTESTS=True
#  - PUBLISHMETA=True
#  - PUBLISHDOCS=True
#  - TARGET=AFROMINI
#  - TARGET=BEEBRAIN
#  - TARGET=AIORACERF3
#  - TARGET=AIR32
#  - TARGET=ALIENFLIGHTF1
  - TARGET=ALIENFLIGHTF3
  - TARGET=ALIENFLIGHTF4
  - TARGET=BLUEJAYF4
  - TARGET=CC3D
  - TARGET=CC3D_OPBL
#  - TARGET=CHEBUZZF3
#  - TARGET=CJMCU
#  - TARGET=COLIBRI
#  - TARGET=COLIBRI_RACE
#  - TARGET=DOGE
#  - TARGET=EUSTM32F103RC
#  - TARGET=F4BY
#  - TARGET=FURYF3
  - TARGET=FURYF4
#  - TARGET=IRCFUSIONF3
#  - TARGET=KISSFC
#  - TARGET=LUX_RACE
#  - TARGET=MICROSCISKY
#  - TARGET=MOTOLAB
  - TARGET=NAZE
#  - TARGET=OLIMEXINO
#  - TARGET=OMNIBUS
#  - TARGET=OMNIBUSF4
#  - TARGET=PIKOBLX
#  - TARGET=PORT103R
  - TARGET=REVO
#  - TARGET=REVONANO
#  - TARGET=REVO_OPBL
#  - TARGET=RMDO
#  - TARGET=SINGULARITY
  - TARGET=SIRINFPV
  - TARGET=SPARKY
#  - TARGET=SPARKY2
#  - TARGET=SPARKY_OPBL
  - TARGET=SPRACINGF3
  - TARGET=SPRACINGF3EVO
#  - TARGET=SPRACINGF3MINI
  - TARGET=STM32F3DISCOVERY
#  - TARGET=VRRACE
#  - TARGET=X_RACERSPI
#  - TARGET=ZCOREF3
#  - TARGET=RCEXPLORERF3

# use new docker environment
sudo: false

addons:
  apt:
    packages:
      - build-essential
      - git
      - libc6-i386
      - zlib1g-dev
      - libssl-dev
      - wkhtmltopdf
      - libxml2-dev
      - libxslt-dev

# We use cpp for unit tests, and c for the main project.
language: cpp
compiler: clang

before_install:
    - curl --retry 10 --retry-max-time 120 -L "https://launchpad.net/gcc-arm-embedded/5.0/5-2016-q2-update/+download/gcc-arm-none-eabi-5_4-2016q2-20160622-linux.tar.bz2" | tar xfj -

install:
  - export PATH=$PATH:$PWD/gcc-arm-none-eabi-5_4-2016q2/bin

before_script: arm-none-eabi-gcc --version
script: ./.travis.sh

cache: apt

#notifications:
#  irc: "chat.freenode.net#cleanflight"
#  use_notice: true
#  skip_join: true

notifications:
  slack: betaflightgroup:LQSj02nsBEdefcO5UQcLgB0U
  webhooks:
    urls:
      - https://webhooks.gitter.im/e/0c20f7a1a7e311499a88
    on_success: always  # options: [always|never|change] default: always
    on_failure: always  # options: [always|never|change] default: always
    on_start: always     # options: [always|never|change] default: always

